/*
  The Broad Institute
  SOFTWARE COPYRIGHT NOTICE AGREEMENT
  This software and its documentation are copyright (2005) by the
  Broad Institute/Massachusetts Institute of Technology. All rights are
  reserved.

  This software is supplied without any warranty or guaranteed support
  whatsoever. Neither the Broad Institute nor MIT can be responsible for its
  use, misuse, or functionality.
*/
/* $Id: recomb.h,v 1.4 2006/08/09 19:53:38 sfs Exp $ */

#define genid double

double recomb_get_rate (void);  /* summed over chroms */
double recomb_get_r(void);   /* per chromosome */
void recomb_set_length (int l);
void recomb_calc_r(void) ;

int recomb_pick_popindex(void);
Node** recomb_execute (genid gen, int popindex, double *location);
void recomb_add (int start, double rate);
void recomb_clear (void);
